radeon driver, INVALID IO ALLOCATION

Bug #55108 reported by Ryan Lovett on 2006-08-03
18
This bug affects 1 person
Affects Status Importance Assigned to Milestone
xserver-xorg-driver-ati
Fix Released
Medium
xserver-xorg-video-ati (Ubuntu)
Undecided
Unassigned

Bug Description

With the radeon driver on dapper/amd64, X craps out with:

(WW) ****INVALID IO ALLOCATION**** b: 0x4000 e: 0x40ff correcting^G
Requesting insufficient memory window!: start: 0x4000 end: 0x40ff size 0xd0720100
Requesting insufficient memory window!: start: 0x4400 end: 0x44ff size 0xd0720100
Requesting insufficient memory window!: start: 0x4800 end: 0x48ff size 0xd0720100
Requesting insufficient memory window!: start: 0x4c00 end: 0x4cff size 0xd0720100
(EE) Cannot find a replacement memory range
(**) RADEON(0): RADEONPreInit
(**) RADEON(0): RADEONFreeScreen
(EE) Screen(s) found, but none have a usable configuration.

Fatal server error:
no screens found

Created an attachment (id=6447)
/etc/X11/xorg.conf

Ryan Lovett (ryan-spacecoaster) wrote :

With the radeon driver on dapper/amd64, X craps out with:

(WW) ****INVALID IO ALLOCATION**** b: 0x4000 e: 0x40ff correcting^G
Requesting insufficient memory window!: start: 0x4000 end: 0x40ff size 0xd0720100
Requesting insufficient memory window!: start: 0x4400 end: 0x44ff size 0xd0720100
Requesting insufficient memory window!: start: 0x4800 end: 0x48ff size 0xd0720100
Requesting insufficient memory window!: start: 0x4c00 end: 0x4cff size 0xd0720100
(EE) Cannot find a replacement memory range
(**) RADEON(0): RADEONPreInit
(**) RADEON(0): RADEONFreeScreen
(EE) Screen(s) found, but none have a usable configuration.

Fatal server error:
no screens found

Ryan Lovett (ryan-spacecoaster) wrote :

xorg.conf

Please attach a log file from an attempt to start the X server with the radeon
driver.

Does this also happen without specifying the BusID?

Created an attachment (id=6454)
The X log

Created an attachment (id=6455)
The real X log

The previous was a redirect from stderr/stdout; please ignore.

Thanks for your inquiry. I commented out the BusID line and the same thing happened.

Thanks. Does this still happen with xf86-video-ati git ati-1-0-branch or master?

I get the same error, though no memory errors are shown:

...
(WW) ****INVALID IO ALLOCATION**** b: 0xf0000400 e: 0xf00004ff correcting^G
(EE) end of block range 0xefffffff < begin 0xf0000000
...

I'll be attaching the whole log file next.

BTW, if I manage to test the latest driver from git I'll report back,
but first I'll try to upgrade my Ubuntu Dapper to Edgy.

Created an attachment (id=7482)
Xorg log from latest Ubuntu Dapper

This error happened always, whatever the xorg.conf changes I've ever made.

Changed in xorg:
status: Unconfirmed → Confirmed
Changed in xserver-xorg-driver-ati:
status: Unknown → Needs Info
Levi Waldron (leviwaldron) wrote :

My xserver-xorg was working fine with no PCI cards, but I plugged in a PCI SATA adapter and I now get these same errors and X fails to load. If I unplug the PCI SATA card, X works again. I confirmed the same problem both on my usual Dapper configuration (a dual-head setup), and single-head setup, and with the Dapper installation Live CD. My hardware is:

Pentium P4 32-bit mobo (not sure of the model)
Radeon 9250 64MB video card
"Serial ATA 2 Ports PCI Host Adapter"

Timo Aaltonen (tjaalton) wrote :

Please try with Feisty.

Changed in xorg:
status: Confirmed → Needs Info
Levi Waldron (leviwaldron) wrote :

Sorry, after not hearing anything for a while I gave up and got rid of the non-functioning PCI card.

On Tue, Apr 17, 2007 at 02:57:59PM -0000, Timo Aaltonen wrote:
> Please try with Feisty.

Okay, will do.

What were your results with Feisty and the affected card?

Ryan

Bryce Harrington (bryce) wrote :

Hi Ryan,

Have you had a chance to test this against Feisty? If it's still occuring, could you please attach your full /var/log/Xorg.0.log.old after rebooting from a crash?

Alex Muntada (alex.muntada) wrote :

I'm seeing this, but it does not crash:

(WW) ****INVALID IO ALLOCATION**** b: 0xf0000400 e: 0xf00004ff correcting^G
(EE) end of block range 0xefffffff < begin 0xf0000000

I thought that this bug could be related to bug #29365, but it seems it isn't since DVI-to-DVI works fine for radeon since Feisty.

Launchpad Janitor (janitor) wrote :

[Expired for xserver-xorg-video-ati (Ubuntu) because there has been no activity for 60 days.]

Created an attachment (id=11680)
Xorg.0.log from latest Ubuntu Gustsy

The INVALID IO ALLOCATION error is still present in xserver-xorg-video-ati 6.7.193-1ubuntu1.

Just added a new Xorg.0.log to show that this error still persists in latest driver version available.

The error was produced using a default generated xorg.conf, which I'm attaching next.

Created an attachment (id=11681)
Default config by dpkg-reconfigure xserver-xorg in Gutsy

Alex Muntada (alex.muntada) wrote :

Still happening with latest xserver-xorg-video-ati (6.7.193-1ubuntu1) in Gutsy.

Changed in xserver-xorg-video-ati:
status: Invalid → Confirmed
Alex Muntada (alex.muntada) wrote :

This log file contains another error at the end of file, but the INVALID IO ALLOCATION is unrelated to that one.

Alex Muntada (alex.muntada) wrote :

Just reported this same information upstream.

Changed in xserver-xorg-driver-ati:
status: Incomplete → Confirmed
Sebastien Estienne (sebest) wrote :

This problem was gone, and it came back approx 10 days ago.

I'm using gutsy
xserver-xorg-video-ati 1:6.7.195-1ubuntu2

Gabriel Bauman (gabrielbauman) wrote :

Confirmed on a PowerPC Mac Mini with up-to-date Gutsy.

Linux mini 2.6.22-14-powerpc #1 Sun Oct 14 21:42:06 GMT 2007 ppc GNU/Linux

xserver-xorg-video-ati 1:6.7.195-1ubuntu2

Bryce Harrington (bryce) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. You reported this bug a while ago and there hasn't been any activity in it recently. We were wondering is this still an issue for you? Can you try with latest Ubuntu release (Hardy)? Thanks in advance.

If it does still occur, please attach your /var/log/Xorg.0.log file from Hardy.

Dustin Kirkland  (kirkland) wrote :

Bryce-

I previously experienced this problem on Gutsy. I no longer see this problem on Hardy on my Powerpc Mac Mini.

Thanks,
:-Dustin

Alex Muntada (alex.muntada) wrote :

Still happening in my PowerPC MacMini running Hardy.

Thanks for taking the time to report this bug and helping to make Ubuntu better. In the development cycle for Intrepid there have been some vast improvements in the open source ati video driver and we could use your help testing them. Could you please download the latest Alpha CD image of Intrepid and test this particular bug just using the Live CD? You can find the latest image at http://www.ubuntu.com/testing . Your testing can help make Ubuntu and the open source ati driver even better! Thanks in advance.

Changed in xserver-xorg-video-ati:
status: Confirmed → Incomplete

On Fri, Aug 15, 2008 at 12:05:59AM -0000, Brian Murray wrote:
> Thanks for taking the time to report this bug and helping to make Ubuntu
> better. In the development cycle for Intrepid there have been some vast
> improvements in the open source ati video driver and we could use your
> help testing them. Could you please download the latest Alpha CD image
> of Intrepid and test this particular bug just using the Live CD? You
> can find the latest image at http://www.ubuntu.com/testing . Your
> testing can help make Ubuntu and the open source ati driver even better!
> Thanks in advance.

I tried to test with the live cd, intrepid 4, but it drops me to a BusyBox
initramfs prompt at boot rather than an X session.

Ryan

Followup to my previous post.

Running without 'quiet splash', the live cd displays dozens of

kjournald starting. Commit interval 5 seconds.
EXT3-fs: mounted filesystem with ordered data mode.

before dropping to the prompt.

Brian Murray (brian-murray) wrote :

Ryan it would be great if you could submit a new bug using the instructions at https://wiki.ubuntu.com/DebuggingCasper so we can get that resolved for Intrepid. Please feel free to subscribe me to the bug when you submit it. Thanks!

Done!

https://bugs.launchpad.net/ubuntu/+source/casper/+bug/258432

By the way, that wiki page (uneditable) neglects to mention that (at least with intrepid 4) you must specify the filesystem of the usb drive otherwise it will fail. I tried with both vfat and ext2 drives and it didn't work until specifying "-t" to mount. No big deal really but perhaps the wiki page can be updated.

Bryce Harrington (bryce) wrote :

Thanks; if/when you're able to get the system booted and can re-test, please update the upstream bug report with your findings as well.

Setting to Triaged for the time being.

Changed in xserver-xorg-video-ati:
status: Incomplete → Triaged

are you still seeing this in a more recent release or in ati git master?

No, I could not reproduce this with Ubuntu Intrepid. I can't speak for Alex Muntada though.

I'm still running ubuntu hardy on my MacMini and this error is still present (xserver-xorg-video-ati is version 1:6.8.0-1), so I downloaded current ati git master (Xorg.0.log says version 6.9.0) but the result is the same: the error still shows in the log.

I'm not attaching the log since there are only a few differences (/dev/dri/card0 is now OK):

@@ -223,7 +223,7 @@
 (II) LoadModule: "ati"
 (II) Loading /usr/lib/xorg/modules/drivers//ati_drv.so
 (II) Module ati: vendor="X.Org Foundation"
- compiled for 1.4.0.90, module version = 6.8.0
+ compiled for 1.4.0.90, module version = 6.9.0
        Module class: X.Org Video Driver
        ABI class: X.Org Video Driver, version 2.0
 (II) LoadModule: "radeon"
@ -457,9 +457,7 @@
 (WW) RADEON(0): Attempting to read Video BIOS from legacy ISA space!
 (WW) RADEON(0): Unrecognized BIOS signature, BIOS data will not be used
 drmOpenDevice: node name is /dev/dri/card0
-drmOpenDevice: open result is -1, (No such device or address)
-drmOpenDevice: open result is -1, (No such device or address)
-drmOpenDevice: Open failed
+drmOpenDevice: open result is 6, (OK)
 drmOpenByBusid: Searching for BusID pci:0000:00:10.0
 drmOpenDevice: node name is /dev/dri/card0
 drmOpenDevice: open result is 6, (OK)

Let me know if I can help in any way.

Bryce Harrington (bryce) on 2009-02-18
Changed in xserver-xorg-video-ati:
status: Triaged → Confirmed
Bryce Harrington (bryce) wrote :

Just checking back to see if you had a chance to test it? Is the issue still occurring in Jaunty?

Changed in xserver-xorg-video-ati:
status: Confirmed → Incomplete
Bryce Harrington (bryce) wrote :

We're closing this bug since it is has been some time with no response from the original reporter. However, if the issue still exists please feel free to reopen with the requested information. Also, if you could, please test against the latest development version of Ubuntu, since this confirms the bug is one we may be able to pass upstream for help.

Changed in xserver-xorg-video-ati (Ubuntu):
status: Incomplete → Invalid
Changed in xserver-xorg-video-ati (Ubuntu):
status: Invalid → Confirmed
Santneo (salvarc8) wrote :

Bug, confirmed, trying to fix, it, Regards.

Santneo (salvarc8) wrote :

Right, now works, i ve put on /etc/default/grub "quiet splash nomodeset", and put modeset=0 on KMS configuration,

# ATI Radeon:
echo options radeon modeset=0 > /etc/modprobe.d/radeon-kms.conf
 I think this creates conflicts on kernel loading module.

Regards.

Bryce Harrington (bryce) wrote :

[This is an automatic notification.]

Hi Ryan,

This bug was reported against an earlier version of Ubuntu, can you
test if it still occurs on Lucid?

Please note we also provide technical support for older versions of
Ubuntu, but not in the bug tracker. Instead, to raise the issue through
normal support channels, please see:

    http://www.ubuntu.com/support

If you are the original reporter and can still reproduce the issue on
Lucid, please run the following command to refresh the report:

  apport-collect 55108

If you are not the original reporter, please file a new bug report, so
we can work with you as the original reporter instead (you can reference
bug 55108 in your report if you think it may be related):

  ubuntu-bug xorg

If by chance you can no longer reproduce the issue on Lucid or if you
feel it is no longer relevant, please mark the bug report 'Fix Released'
or 'Invalid' as appropriate, at the following URL:

  https://bugs.launchpad.net/ubuntu/+bug/55108

Changed in xserver-xorg-video-ati (Ubuntu):
status: Confirmed → Incomplete
tags: added: needs-retested-on-lucid-by-june
Alex Muntada (alex.muntada) wrote :

I just upgraded my MacMini from jaunty to karmic and it does not show the error anymore. No modeset change needed. Would you like me to upgrade to lucid? I'm planning a full reinstall sometime soon, but I can wait if further testing is needed.

Changed in xserver-xorg-video-ati (Ubuntu):
status: Incomplete → Confirmed

I'm a bit busy, but I'll see if I can test soon.

Changed in xserver-xorg-driver-ati:
importance: Unknown → Medium
Changed in xserver-xorg-driver-ati:
importance: Medium → Unknown
status: Confirmed → Fix Released
Changed in xserver-xorg-driver-ati:
importance: Unknown → Medium
Timo Aaltonen (tjaalton) wrote :

closing as fixed, thanks.

Changed in xserver-xorg-video-ati (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.